Name:           perl-Template-Toolkit-Simple
Version:        0.31
Release:        7%{?dist}
Summary:        Simple interface to Template Toolkit
# inc/Text/Diff.pm (not in binary package):     GPLv2+ or Artistic
# rest:     GPL+ or Artistic
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Template-Toolkit-Simple/
Source0:        http://www.cpan.org/authors/id/I/IN/INGY/Template-Toolkit-Simple-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(JSON::XS)
BuildRequires:  perl(Template) >= 2.22
BuildRequires:  perl(Template::Constants)
BuildRequires:  perl(XML::Simple)
BuildRequires:  perl(YAML::XS) >= 0.37
# Tests:
BuildRequires:  perl(File::Find)
BuildRequires:  perl(Test::More)
%if !%{defined perl_bootstrap}
# Break dependency cycle: perl-Template-Toolkit-Simple → perl-TestML
# → perl-Template-Toolkit-Simple
BuildRequires:  perl(lib)
BuildRequires:  perl(TestML)
BuildRequires:  perl(TestML::Bridge)
BuildRequires:  perl(TestML::Util)
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp)
Requires:       perl(JSON::XS)
Requires:       perl(Template) >= 2.22
Requires:       perl(warnings)
Requires:       perl(XML::Simple)
Requires:       perl(YAML::XS) >= 0.37

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Template|YAML::XS)\\)$

%description
This Perl module is a simple wrapper around Template Toolkit. It exports
a function called `tt' which returns a new Template::Toolkit::Simple object.
The object supports method calls for setting all the Template Toolkit options.

This module also installs a program called `tt-render' which you can use from
the command line to render templates with all the power of the Perl object.
All of the object methods become command line arguments in the command line
version.


%prep
%setup -q -n Template-Toolkit-Simple-%{version}
# Remove bundled modules
rm -r ./inc
sed -i -e '/^inc\//d' MANIFEST
# Fix shellbang
sed -i -e '1 s,^#!/usr/bin/env perl,#!perl,' bin/tt-render

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{defined perl_bootstrap}
# Break dependency cycle: perl-Template-Toolkit-Simple → perl-TestML
# → perl-Template-Toolkit-Simple
make test TEST_FILES="$(find t -name '*.t' \
    \! -exec grep -q -e 'use TestML' {} \; -print | tr \"\\n\" ' ')"
%else
make test
%endif

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_bindir}/tt-render

%changelog
* Wed May 18 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.31-7
- Perl 5.24 re-rebuild of bootstrapped packages

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.31-6
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.31-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 10 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.31-3
- Perl 5.22 re-rebuild of bootstrapped packages

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.31-2
- Perl 5.22 rebuild

* Wed Dec 10 2014 Petr Pisar <ppisar@redhat.com> - 0.31-1
- 0.31 bump

* Sun Sep 07 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.30-3
- Perl 5.20 re-rebuild of bootstrapped packages

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.30-2
- Perl 5.20 rebuild

* Mon Aug 18 2014 Petr Pisar <ppisar@redhat.com> - 0.30-1
- 0.30 bump

* Tue Aug 12 2014 Petr Pisar <ppisar@redhat.com> - 0.24-1
- 0.24 bump

* Thu Aug 07 2014 Petr Pisar <ppisar@redhat.com> - 0.22-2
- Finish perl-TestML bootstrap

* Wed Aug 06 2014 Petr Pisar <ppisar@redhat.com> - 0.22-1
- 0.22 bump

* Wed Jul 30 2014 Petr Pisar <ppisar@redhat.com> 0.19-1
- Specfile autogenerated by cpanspec 1.78.
